package com.pwt.web.service;

import java.util.List;

import com.pwt.web.domain.PwtChargeRecordDto;
import com.pwt.web.domain.PwtChargeRecordVo;
import com.pwt.web.domain.StatisticsRecord;

/**
 * 充电记录Service接口
 * 
 * @author linyun
 * @date 2022-11-17
 */
public interface IPwtChargeRecordService 
{
    /**
     * 查询充电记录
     * 
     * @param recordId 充电记录ID
     * @return 充电记录
     */
    public PwtChargeRecordVo selectPwtChargeRecordById(Long recordId);

    /**
     * 查询充电记录列表
     * 
     * @param pwtChargeRecordVo 充电记录
     * @return 充电记录集合
     */
    public List<PwtChargeRecordVo> selectPwtChargeRecordList(PwtChargeRecordVo pwtChargeRecordVo);

    /**
     * 新增充电记录
     *
     */
    public int insertPwtChargeRecord(PwtChargeRecordDto dto);

    /**
     * 修改充电记录
     * 
     * @param pwtChargeRecordVo 充电记录
     * @return 结果
     */
    public int updatePwtChargeRecord(PwtChargeRecordVo pwtChargeRecordVo);

    /**
     * 批量删除充电记录
     * 
     * @param recordIds 需要删除的充电记录ID
     * @return 结果
     */
    public int deletePwtChargeRecordByIds(Long[] recordIds);

    /**
     * 删除充电记录信息
     * 
     * @param recordId 充电记录ID
     * @return 结果
     */
    public int deletePwtChargeRecordById(Long recordId);

    /**
     * 统计记录
     * @param statisticsRecord
     * @return
     */
    public List<StatisticsRecord> getStatisticsRecord(StatisticsRecord statisticsRecord);

    /**
     * 查询充电机编号字典
     * @return
     */
    public List<String> getChargerNoDict();
}
